diff --git a/doc/src/sgml/ref/revoke.sgml b/doc/src/sgml/ref/revoke.sgml
index 35ff87a4f5..c8d5be92db 100644
--- a/doc/src/sgml/ref/revoke.sgml
+++ b/doc/src/sgml/ref/revoke.sgml
@@ -298,6 +298,12 @@ REVOKE admins FROM joe;
     is required according to the standard, but <productname>PostgreSQL</productname>
     assumes <literal>RESTRICT</literal> by default.
    </para>
+
+   <para>
+    In the SQL standard, <command>REVOKE</command> only revokes the privilege
+    as granted by the invoking role. In <productname>PostgreSQL</productname>,
+    this will also revoke privileges granted by other roles.
+   </para>
  </refsect1>
 
  <refsect1>
